%{?mingw_package_header}

Name:           mingw-harfbuzz
Version:        2.7.4
Release:        %mkrel 1
Summary:        MinGW Windows Harfbuzz library

License:        MIT
Group:          Development/Other
URL:            http://www.harfbuzz.org
Source0:        https://github.com/harfbuzz/harfbuzz/releases/download/%{version}/harfbuzz-%{version}.tar.xz

# Allow the freetype dependency to be optional at runtime
Patch0:         harfbuzz-enable-delayload-freetype.patch
# Invoke versioned python
Patch1:         harfbuzz-python.patch

BuildArch:      noarch

BuildRequires:  python3

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-freetype
BuildRequires:  mingw32-cairo
BuildRequires:  mingw32-icu

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-freetype
BuildRequires:  mingw64-cairo
BuildRequires:  mingw64-icu

# Needed for the delay-load patch
BuildRequires:  mingw-w64-tools
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool


%description
HarfBuzz is an implementation of the OpenType Layout engine.


# Win32
%package -n mingw32-harfbuzz
Summary:        MinGW Windows Harfbuzz library

%description -n mingw32-harfbuzz
HarfBuzz is an implementation of the OpenType Layout engine.

%package -n mingw32-harfbuzz-static
Summary:        Static version of the MinGW Windows Harfbuzz library
Requires:       mingw32-harfbuzz = %{version}-%{release}
Requires:       mingw32-glib2-static

%description -n mingw32-harfbuzz-static
Static version of the MinGW Windows Harfbuzz library.

# Win64
%package -n mingw64-harfbuzz
Summary:        MinGW Windows Harfbuzz library

%description -n mingw64-harfbuzz
HarfBuzz is an implementation of the OpenType Layout engine.

%package -n mingw64-harfbuzz-static
Summary:        Static version of the MinGW Windows Harfbuzz library
Requires:       mingw64-harfbuzz = %{version}-%{release}
Requires:       mingw64-glib2-static

%description -n mingw64-harfbuzz-static
Static version of the MinGW Windows Harfbuzz library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n harfbuzz-%{version}
autoreconf -i --force


%build
%mingw_configure --enable-shared --enable-static --enable-delay-load
%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make install DESTDIR=%{buildroot}

# Drop all .la files
find %{buildroot} -name "*.la" -delete


# Win32
%files -n mingw32-harfbuzz
%license COPYING
%{mingw32_bindir}/hb-ot-shape-closure.exe
%{mingw32_bindir}/hb-shape.exe
%{mingw32_bindir}/hb-subset.exe
%{mingw32_bindir}/hb-view.exe
%{mingw32_bindir}/libharfbuzz-0.dll
%{mingw32_bindir}/libharfbuzz-icu-0.dll
%{mingw32_bindir}/libharfbuzz-subset-0.dll
%{mingw32_includedir}/harfbuzz/
%{mingw32_libdir}/libharfbuzz.dll.a
%{mingw32_libdir}/libharfbuzz-icu.dll.a
%{mingw32_libdir}/libharfbuzz-subset.dll.a
%{mingw32_libdir}/pkgconfig/harfbuzz.pc
%{mingw32_libdir}/pkgconfig/harfbuzz-icu.pc
%{mingw32_libdir}/pkgconfig/harfbuzz-subset.pc
%{mingw32_libdir}/cmake/harfbuzz/

%files -n mingw32-harfbuzz-static
%{mingw32_libdir}/libharfbuzz.a
%{mingw32_libdir}/libharfbuzz-icu.a
%{mingw32_libdir}/libharfbuzz-subset.a

# Win64
%files -n mingw64-harfbuzz
%license COPYING
%{mingw64_bindir}/hb-ot-shape-closure.exe
%{mingw64_bindir}/hb-shape.exe
%{mingw64_bindir}/hb-subset.exe
%{mingw64_bindir}/hb-view.exe
%{mingw64_bindir}/libharfbuzz-0.dll
%{mingw64_bindir}/libharfbuzz-icu-0.dll
%{mingw64_bindir}/libharfbuzz-subset-0.dll
%{mingw64_includedir}/harfbuzz/
%{mingw64_libdir}/libharfbuzz.dll.a
%{mingw64_libdir}/libharfbuzz-icu.dll.a
%{mingw64_libdir}/libharfbuzz-subset.dll.a
%{mingw64_libdir}/pkgconfig/harfbuzz.pc
%{mingw64_libdir}/pkgconfig/harfbuzz-icu.pc
%{mingw64_libdir}/pkgconfig/harfbuzz-subset.pc
%{mingw64_libdir}/cmake/harfbuzz/

%files -n mingw64-harfbuzz-static
%{mingw64_libdir}/libharfbuzz.a
%{mingw64_libdir}/libharfbuzz-icu.a
%{mingw64_libdir}/libharfbuzz-subset.a


%changelog
* Mon Dec 28 2020 daviddavid <daviddavid> 2.7.4-1.mga8
+ Revision: 1664437
- new version: 2.7.4

* Thu Dec 24 2020 daviddavid <daviddavid> 2.7.3-1.mga8
+ Revision: 1663321
- new version: 2.7.3

* Sat Sep 26 2020 tv <tv> 2.7.2-2.mga8
+ Revision: 1630472
- rebuild for new mingw stack
- use %%autosetup

* Wed Sep 02 2020 daviddavid <daviddavid> 2.7.2-1.mga8
+ Revision: 1621133
- new version: 2.7.2

* Wed Aug 19 2020 daviddavid <daviddavid> 2.7.1-1.mga8
+ Revision: 1615726
- new version: 2.7.1

* Tue Jun 23 2020 daviddavid <daviddavid> 2.6.8-1.mga8
+ Revision: 1598642
- new version: 2.6.8

* Wed Jun 03 2020 daviddavid <daviddavid> 2.6.7-1.mga8
+ Revision: 1590125
- new version: 2.6.7

* Sun May 24 2020 daviddavid <daviddavid> 2.6.6-2.mga8
+ Revision: 1587278
- rebuild for new mingw-icu 67.1

* Thu May 14 2020 daviddavid <daviddavid> 2.6.6-1.mga8
+ Revision: 1583604
- new version: 2.6.6

* Mon Feb 17 2020 umeabot <umeabot> 2.6.4-3.mga8
+ Revision: 1537777
- Mageia 8 Mass Rebuild

* Sun Nov 10 2019 daviddavid <daviddavid> 2.6.4-2.mga8
+ Revision: 1459006
- rebuild for new mingw-icu 65.1

* Mon Nov 04 2019 daviddavid <daviddavid> 2.6.4-1.mga8
+ Revision: 1457504
- new version: 2.6.4

* Wed Oct 02 2019 daviddavid <daviddavid> 2.6.2-1.mga8
+ Revision: 1448747
- new version: 2.6.2

* Fri Aug 30 2019 daviddavid <daviddavid> 2.6.1-2.mga8
+ Revision: 1435369
- rebuild for new mingw-icu 64.1

* Fri Aug 23 2019 daviddavid <daviddavid> 2.6.1-1.mga8
+ Revision: 1431414
- new version: 2.6.1

* Mon Aug 19 2019 daviddavid <daviddavid> 2.6.0-1.mga8
+ Revision: 1429916
- new version: 2.6.0

* Sun Jun 30 2019 daviddavid <daviddavid> 2.5.3-1.mga8
+ Revision: 1416268
- new version: 2.5.3

* Sat Apr 13 2019 daviddavid <daviddavid> 2.4.0-1.mga7
+ Revision: 1389791
- new version: 2.4.0

* Sun Feb 03 2019 daviddavid <daviddavid> 2.3.1-1.mga7
+ Revision: 1362903
- new version: 2.3.1

* Sun Dec 30 2018 daviddavid <daviddavid> 2.3.0-1.mga7
+ Revision: 1346620
- new version: 2.3.0

* Sun Nov 18 2018 daviddavid <daviddavid> 2.1.3-1.mga7
+ Revision: 1330719
- new version: 2.1.3

* Mon Nov 05 2018 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1328576
- new version: 2.1.0

* Thu Nov 01 2018 daviddavid <daviddavid> 2.0.2-1.mga7
+ Revision: 1327105
- new version: 2.0.2

* Sat Oct 20 2018 daviddavid <daviddavid> 2.0.1-1.mga7
+ Revision: 1322884
- new version: 2.0.1

* Fri Oct 19 2018 daviddavid <daviddavid> 2.0.0-1.mga7
+ Revision: 1322601
- new version: 2.0.0

* Thu Sep 20 2018 daviddavid <daviddavid> 1.9.0-1.mga7
+ Revision: 1280498
- new version: 1.9.0

* Thu Sep 20 2018 umeabot <umeabot> 1.8.8-2.mga7
+ Revision: 1279813
- Mageia 7 Mass Rebuild

* Wed Aug 15 2018 daviddavid <daviddavid> 1.8.8-1.mga7
+ Revision: 1251708
- new version: 1.8.8

* Mon Aug 06 2018 daviddavid <daviddavid> 1.8.5-2.mga7
+ Revision: 1248242
- rebuild for new mingw-icu 57.1

* Thu Aug 02 2018 daviddavid <daviddavid> 1.8.5-1.mga7
+ Revision: 1246896
- new version: 1.8.5

* Wed Jul 18 2018 daviddavid <daviddavid> 1.8.4-1.mga7
+ Revision: 1244198
- new version: 1.8.4

* Sat Jul 14 2018 daviddavid <daviddavid> 1.8.3-1.mga7
+ Revision: 1243678
- new version: 1.8.3

* Fri Jun 15 2018 daviddavid <daviddavid> 1.8.1-1.mga7
+ Revision: 1237034
- new version: 1.8.1

* Sat May 14 2016 shlomif <shlomif> 1.2.7-2.mga6
+ Revision: 1015284
- Rebuild for the new UCI (new major)

* Wed May 11 2016 tv <tv> 1.2.7-1.mga6
+ Revision: 1012739
- new release

* Tue Apr 05 2016 tv <tv> 1.1.3-1.mga6
+ Revision: 998671
- new release
- new release

* Fri Feb 05 2016 umeabot <umeabot> 0.9.20-4.mga6
+ Revision: 939042
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.20-3.mga5
+ Revision: 743844
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.20-2.mga5
+ Revision: 682459
- Mageia 5 Mass Rebuild

* Sat Oct 26 2013 neoclust <neoclust> 0.9.20-1.mga4
+ Revision: 547031
- imported package mingw-harfbuzz


* Sat Sep  7 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.9.20-1
- Update to 0.9.20

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 17 2013 Kalev Lember <kalevlember@gmail.com> - 0.9.18-4
- Rebuilt for icu 50

* Sun Jun 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.9.18-3
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Sat Jun 15 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.9.18-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Sun Jun 09 2013 Kalev Lember <kalevlember@gmail.com> - 0.9.18-1
- Update to 0.9.18

* Thu May  9 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.9.16-1
- Update to 0.9.16

* Sun Mar 24 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.9.14-1
- Update to 0.9.14

* Sun Jan 27 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.9.9-3
- Rebuild against mingw-gcc 4.8 (win64 uses SEH exceptions now)

* Wed Jan 02 2013 Erik van Pienbroek <erik-fedora@vanpienbroek.nl> - 0.9.9-2
- Rebuilt against mingw-icu 49

* Mon Dec 24 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.9.9-1
- Update to 0.9.9
- Fix compatibility with WinXP (FreeDesktop Bug #55494)

* Wed Nov 21 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.9.7-1
- Update to 0.9.7

* Sun Aug 26 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.9.3-1
- Initial release

